<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AccountingTransactionSearch StructType
 * @subpackage Structs
 */
class AccountingTransactionSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AccountingTransactionSearchBasic
     */
    public $basic;
    /**
     * The accountJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AccountSearchBasic
     */
    public $accountJoin;
    /**
     * The revRecScheduleJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RevRecScheduleSearchBasic
     */
    public $revRecScheduleJoin;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for AccountingTransactionSearch
     * @uses AccountingTransactionSearch::setBasic()
     * @uses AccountingTransactionSearch::setAccountJoin()
     * @uses AccountingTransactionSearch::setRevRecScheduleJoin()
     * @uses AccountingTransactionSearch::setTransactionJoin()
     * @param \StructType\AccountingTransactionSearchBasic $basic
     * @param \StructType\AccountSearchBasic $accountJoin
     * @param \StructType\RevRecScheduleSearchBasic $revRecScheduleJoin
     * @param \StructType\TransactionSearchBasic $transactionJoin
     */
    public function __construct(\StructType\AccountingTransactionSearchBasic $basic = null, \StructType\AccountSearchBasic $accountJoin = null, \StructType\RevRecScheduleSearchBasic $revRecScheduleJoin = null, \StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setAccountJoin($accountJoin)
            ->setRevRecScheduleJoin($revRecScheduleJoin)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\AccountingTransactionSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\AccountingTransactionSearchBasic $basic
     * @return \StructType\AccountingTransactionSearch
     */
    public function setBasic(\StructType\AccountingTransactionSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get accountJoin value
     * @return \StructType\AccountSearchBasic|null
     */
    public function getAccountJoin()
    {
        return $this->accountJoin;
    }
    /**
     * Set accountJoin value
     * @param \StructType\AccountSearchBasic $accountJoin
     * @return \StructType\AccountingTransactionSearch
     */
    public function setAccountJoin(\StructType\AccountSearchBasic $accountJoin = null)
    {
        $this->accountJoin = $accountJoin;
        return $this;
    }
    /**
     * Get revRecScheduleJoin value
     * @return \StructType\RevRecScheduleSearchBasic|null
     */
    public function getRevRecScheduleJoin()
    {
        return $this->revRecScheduleJoin;
    }
    /**
     * Set revRecScheduleJoin value
     * @param \StructType\RevRecScheduleSearchBasic $revRecScheduleJoin
     * @return \StructType\AccountingTransactionSearch
     */
    public function setRevRecScheduleJoin(\StructType\RevRecScheduleSearchBasic $revRecScheduleJoin = null)
    {
        $this->revRecScheduleJoin = $revRecScheduleJoin;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchBasic $transactionJoin
     * @return \StructType\AccountingTransactionSearch
     */
    public function setTransactionJoin(\StructType\TransactionSearchBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
